### Method

# EBookContacts Contact get_attributes_set

since: 3.16

#### Declaration [src]

    GList*
    e_contact_get_attributes_set (
      EContact* contact,
      const EContactField* field_ids,
      gint size
    )

#### Description [src]

Gets a list of the vcard attributes for `contact`‘s `field_ids`.

Available since: 3.16

#### Parameters

`field_ids`

  Type: An array of `EContactField`

  An array of `EContactField`.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the method.

`size`

  Type: `gint`

  Number of elements in field_ids.

#### Return value

Type: A list of `None`

A `GList` of pointers to `EVCardAttribute`, owned by the caller.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.